<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Rule extends Model
{
    use HasFactory, HasUuids;

    protected $fillable = [
        'rule_code',
        'statement_id',
        'personality_id',
        'weight_id',
    ];

    public function statement()
    {
        return $this->belongsTo(Statement::class);
    }

    public function personality()
    {
        return $this->belongsTo(Personality::class);
    }

    public function weight()
    {
        return $this->belongsTo(Weight::class);
    }
}
